Disk configuration is not reset to default after changing Glance backend

Bug #1450100 reported by Vitaly Kramskikh on 2015-04-29
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Fuel Sustaining
6.1.x
High
Fuel Python (Deprecated)
7.0.x
High
Fuel Python (Deprecated)
Mitaka
High
Fuel Toolbox
Newton
High
Fuel Sustaining

Bug Description

(see discussion in https://bugs.launchpad.net/fuel/+bug/1442475)

Disk partitioning of controllers should be reset to default in case of changing glance backend. Currently that doesn't happen, so we prohibited changing glance backend via hack on UI:

https://review.openstack.org/#/c/178545/

After fixing this issue properly, please revert it.

Nastya Urlapova (aurlapova) wrote :

@Vitaliy, discussion wa in 6.1 and had priority High.

Changed in fuel:
importance: Medium → High
milestone: 7.0 → 6.1
Vitaly Kramskikh (vkramskikh) wrote :

I understand. But since we have that hack on UI this bug is fixed for 6.1, but the root cause of this issue (backend bug) is not gone and may affect us in future. So that's why 7.0 and Medium priority.

Dmitry Pyzhov (dpyzhov) on 2015-04-29
tags: added: release-notes
Changed in fuel:
milestone: 6.1 → 7.0
no longer affects: fuel/6.1.x
Dmitry Pyzhov (dpyzhov) on 2015-04-29
Changed in fuel:
milestone: 6.1 → 7.0
Mike Scherbakov (mihgen) wrote :

I don't think that this bug has to be considered as of High priority. This seems to be rather tech debt issue of a Medium priority, so can be pushed to early-8.0.

Sebastian Kalinowski (prmtl) wrote :

Changing Glance backend is blocked already in UI (if there are any controller nodes pending to be added, change is blocked) and a workaround is available (just re-add pending controller node) if user will do this through CLI or API. IMHO we can move it to 8.0

Reviewed: https://review.openstack.org/223450
Committed: https://git.openstack.org/cgit/stackforge/fuel-docs/commit/?id=ea166e49a4454f6fd13f788ea0e9cad8eaae388f
Submitter: Jenkins
Branch: master

commit ea166e49a4454f6fd13f788ea0e9cad8eaae388f
Author: evkonstantinov <email address hidden>
Date: Tue Sep 15 10:14:24 2015 +0300

    Add disk partitioning issue to relnotes

    Change-Id: Ib9b0f9043a052739aaba96edcb8da578490d9e88
    Related-Bug:#1450100

Dmitry Pyzhov (dpyzhov) on 2015-10-12
no longer affects: fuel/8.0.x
Changed in fuel:
status: In Progress → Confirmed
assignee: Sebastian Kalinowski (prmtl) → Fuel Python Team (fuel-python)
milestone: 7.0 → 8.0
tags: added: tricky
Oleg S. Gelbukh (gelbuhos) wrote :

Proper fix for this issue require changing a mechanism which adds node to cluster. Volume configuration must not be saved to persistence until provisioning is started, otherwise the only way to fix it is to re-add node every time we change anything about disk layout.

Dmitry Pyzhov (dpyzhov) wrote :

Changing priority to medium because workaround is applied on UI side. Proper solution requires blueprint implementation

Changed in fuel:
importance: High → Medium
tags: added: need-bp
Dmitry Pyzhov (dpyzhov) on 2015-10-22
tags: added: area-python
Changed in fuel:
milestone: 8.0 → 9.0

We passed SCF in 8.0. Moving the bug to 9.0.

Hi Fuel Python team, could you please pay attention to the issue?

It is the reason of the following but in UI:
https://bugs.launchpad.net/fuel/+bug/1556930

We have this dirty workaround in UI because of the issue with disk partitioning.

Changed in fuel:
importance: Medium → High

(This check performed automatically)
Please, make sure that bug description contains the following sections filled in with the appropriate data related to the bug you are describing:

actual result

version

expected result

steps to reproduce

For more detailed information on the contents of each of the listed sections see https://wiki.openstack.org/wiki/Fuel/How_to_contribute#Here_is_how_you_file_a_bug

tags: added: need-info
tags: removed: need-info
Dmitry Pyzhov (dpyzhov) on 2016-04-04
tags: added: module-volumes

Reviewed: https://review.openstack.org/304612
Committed: https://git.openstack.org/cgit/openstack/fuel-docs/commit/?id=e9d1be7df3a46bfa5d40229dcdf73c64864f1be6
Submitter: Jenkins
Branch: master

commit e9d1be7df3a46bfa5d40229dcdf73c64864f1be6
Author: Evgeny Konstantinov <email address hidden>
Date: Tue Apr 12 16:15:08 2016 +0300

    Add Fuel Mitaka known issues to relnotes
    Related-Bug: #1439776
    Related-Bug: #1450100
    Related-Bug: #1460169
    Related-Bug: #1490597
    Related-Bug: #1526544
    Related-Bug: #1556854
    Related-Bug: #1446704

    Change-Id: I3df16c163d82af7d0db8a64643b915909cabd8f1

Changed in fuel:
milestone: 9.0 → 10.0
Dmitry Pyzhov (dpyzhov) on 2016-04-27
Changed in fuel:
assignee: Fuel Python Team (fuel-python) → Fuel Toolbox (fuel-toolbox)
Alexey Shtokolov (ashtokolov) wrote :

Change of glance backend should generate an event. Events are not supported by Naigun. It's not a bug, it's a feature

tags: added: feature
Andrey Danin (gcon-monolake) wrote :

Alexey,

I guess you're joking. It's certainly a bug. I understand that there is no technical capability to fix it now. That's why the bug was filed - to make sure that a dev team aware of such an issue and will plan refactoring of Nailgun accordingly.

Related fix proposed to branch: master
Change author: Evgeny Konstantinov <email address hidden>
Review: https://review.fuel-infra.org/22317

Reviewed: https://review.fuel-infra.org/22317
Submitter: Evgeny Konstantinov <email address hidden>
Branch: master

Commit: 3efec3275f772c0c41c01d2a5013c596463a24fa
Author: Evgeny Konstantinov <email address hidden>
Date: Wed Jun 22 12:58:01 2016

Add Fuel known issues to relnotes 9.0

Change-Id: I9130ecc87d013db29e8a170911e59de0631a0222
Related-Bug: #1587897
Related-Bug: #1450100
Related-Bug: #1490597
Related-Bug: #1466431
Related-Bug: #1419201

tags: added: release-notes-done
removed: release-notes
Changed in fuel:
milestone: 10.0 → 11.0
assignee: Fuel Toolbox (fuel-toolbox) → Fuel Sustaining (fuel-sustaining-team)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers